OpenVDB 11.0.0

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Protected Attributes | List of all members
SampleFromVoxels< TreeOrAccT, 3, false > Class Template Reference

`#include <nanovdb/util/SampleFromVoxels.h>`

Inheritance diagram for SampleFromVoxels< TreeOrAccT, 3, false >:

## Public Member Functions
| SampleFromVoxels (const TreeOrAccT &acc)
| Construction from a Tree or ReadAccessor.
template<typename RealT , template< typename... > class Vec3T>
ValueT | operator() (Vec3T< RealT > xyz) const
ValueT | operator() (const CoordT &ijk) const
template<typename RealT , template< typename... > class Vec3T>
TreeOrAccT::ValueType | operator() (Vec3T< RealT > xyz) const
const TreeOrAccT & | accessor () const
void | stencil (const CoordT &ijk, ValueT(&c)[64]) const
| Extract the stencil of 8 values.
template<typename RealT , template< typename... > class Vec3T>
TreeOrAccT::ValueType | sample (const Vec3T< RealT > &xyz, const ValueT(&C)[64])

## Static Public Member Functions
template<typename RealT , template< typename... > class Vec3T>
static ValueT | sample (const Vec3T< RealT > &uvw, const ValueT(&c)[64])

## Protected Attributes
const TreeOrAccT & | mAcc

## Constructor & Destructor Documentation

## ◆ SampleFromVoxels()

template<typename TreeOrAccT >

SampleFromVoxels | ( | const TreeOrAccT & | acc | ) |
| inline

Construction from a Tree or ReadAccessor.

## Member Function Documentation

## ◆ accessor()

template<typename TreeOrAccT >

const TreeOrAccT & accessor | ( |  | ) | const
| inline inherited

## ◆ operator()() [1/3]

template<typename TreeOrAccT >

ValueT operator() | ( | const CoordT & | ijk | ) | const
| inline

## ◆ operator()() [2/3]

template<typename TreeOrAccT >
template<typename RealT , template< typename... > class Vec3T>

ValueT operator() | ( | Vec3T< RealT > | xyz | ) | const
| inline

Note
  xyz is in index space space

## ◆ operator()() [3/3]

template<typename TreeOrAccT >
template<typename RealT , template< typename... > class Vec3T>

TreeOrAccT::ValueType operator() | ( | Vec3T< RealT > | xyz | ) | const

## ◆ sample() [1/2]

template<typename TreeOrAccT >
template<typename RealT , template< typename... > class Vec3T>

static ValueT sample | ( | const Vec3T< RealT > & | uvw,
|  | const ValueT(&) | c[64]
| ) |  |
| inline static inherited

## ◆ sample() [2/2]

template<typename TreeOrAccT >
template<typename RealT , template< typename... > class Vec3T>

TreeOrAccT::ValueType sample | ( | const Vec3T< RealT > & | xyz,
|  | const ValueT(&) | C[64]
| ) |  |
| inherited

## ◆ stencil()

template<typename TreeOrAccT >

void stencil | ( | const CoordT & | ijk,
|  | ValueT(&) | c[64]
| ) |  | const
| inline inherited

Extract the stencil of 8 values.

## Member Data Documentation

## ◆ mAcc

template<typename TreeOrAccT >

const TreeOrAccT& mAcc
| protected inherited